%global pkg_name colour

%global common_summary A model for human colour/color perception

%global common_description This package provides a data type for colours and \
transparency. Colours can be blended and composed. Various \
colour spaces are supported. A module of colour names \
("Data.Colour.Names") is provided.

%bcond_without shared
%bcond_without hscolour

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        2.3.1
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        MIT
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.0
%if %{with hscolour}
BuildRequires:  hscolour
%endif
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}
%{?ghc_pkg_c_deps:BuildRequires:  %{ghc_pkg_c_deps}}

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
rm -rf %{buildroot}
%ghc_lib_install
echo "%{_datadir}/%{pkg_name}-%{version}/" >> %{name}.files


%clean
rm -rf %{buildroot}


%{?ghc_lib_package}


%changelog
* Sat Sep 04 2010 Ben Boeckel <mathstuf@gmail.com> - 2.3.1-1
- Initial package

* Sat Sep  4 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 2.3.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
